import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class AnimatedItem here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

public class AnimatedItem extends Mover
{
    private GreenfootImage[] images;
    private int currentImage = 0;
    
    public AnimatedItem(String basename, String suffix, int noOfImages)
    {
        images = new GreenfootImage[noOfImages];
        for(int i=0; i < noOfImages; i++) {
            images[i] = new GreenfootImage(basename + i + suffix);
        }
        setImage(images[currentImage]);
    }
    
    /**
     * Act - do whatever the AnimatedActor wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        currentImage = (currentImage + 1) % images.length;
        setImage(images[currentImage]);
    }
    
    
    public void randomPosition()
    {
        setLocation((int)(Math.random() * 330) + 1,(int)(Math.random() * 460) + 22);
    }
}
