import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * 
 * 
 * @author passosdarezzo@hotmail.com    
 * @version 1.0
 */

public class Energia  extends Actor
{
    private int energiaTotal;
    private String nome = "barra";
    private String ext = ".gif";
    
    /**
     * Construtor da classe
     */
    public Energia(int energiaTotal)
    {
        this.energiaTotal = energiaTotal;
    }
    
    /**
     * mtodo que decrementa a barra de energia
     */
    public void perdeEnergia(int qtd)
    {
        this.energiaTotal -= qtd;
        String nomeArquivo = nome + energiaTotal + ext;
        setImage(nomeArquivo);
    }
    
    /**
     * mtodo que incrementa a barra de energia
     */
    public void ganhaEnergia(int qtd)
    {
        this.energiaTotal += qtd;
        String nomeArquivo = nome + energiaTotal + ext;
        setImage(nomeArquivo);
    }
}
