import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * 
 * 
 * @author Passosdarezzo
 * @version 1.0
 */

public class Vidas  extends Actor
{
    //Guarda a quantidade de vidas 
    int vidas;
        
    /**
     * Construtor da classe Vidas recebendo como parametro o nmero de vidas em inteiro 
     */
    public Vidas(int vidas)
    {
        
        this.vidas = vidas;
        String sVidas = String.valueOf(this.vidas);    
       
        GreenfootImage img = new GreenfootImage(sVidas.length() * 20, 30);
        img.clear();
        //img.setColor(Color.white);
        img.drawString(sVidas, 2, 22);
        img.scale(310, 186);//scale(int width, int height)
      
        setImage(img);
    }
    
    public void decrease()
    {
        this.vidas --;
    }
    
    public void increase()
    {
        this.vidas ++;
    }
    
    public int getVidas()
    {
        return this.vidas;
    }
    
    public void showVidas()
    {
        
        String sVidas = String.valueOf(this.vidas);    
        
        GreenfootImage img = new GreenfootImage(sVidas.length() * 20, 30);
        img.clear();
        //img.setColor(Color.white);
        img.drawString(sVidas, 2, 22);
        img.scale(310, 186);//scale(int width, int height)
      
        setImage(img);
    }
}
