import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A classe Cris
 * 
 * @author passosdarezzo@hotmail.com
 * @version 1.0
 */
public class Cris  extends Mover
{
    //essa varivel guarda o nmero de bananas que foram capturadas
    private int count = 0;
    //essa varivel conta at dez para fazer aparecer um lanche
    private int bonus = 0;
    //essa varivel conta o nmero de batidas
    private int batidas = 0;
    //Essa varivel de referencia cria a pontuao
    private Label myLabel;
    //varivel para aumentar o nivel do jogo 
    private int levelUp = 0; 
    //total de vidas
    private int numVidas = 3;
    //Varivel vidas
    private Vidas myLife;
    //Varivel de referencia GameOver
    private GameOver gameOver = new GameOver();
    //Varivel de referencia Energia
    private Energia minhaEnergia;
    //Varivel de referencia BananaAnimada
    private BananaAnimada myBanana;
    //Varivel de referencia LancheAnimado
    private LancheAnimado myLanche;
    //******************************************************************************************************
    
    
    
    public Cris(Label label, Vidas vidas, Energia energia, BananaAnimada banana, LancheAnimado lanche)
    {
        myLabel = label;
        myLife = vidas;
        minhaEnergia = energia;
        myBanana = banana;
        myLanche = lanche;
    }
    
    
    /**
     * Act - do whatever the Cris wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {   //Comportamento do pinguim quando as setas so usadas
        if(Greenfoot.isKeyDown("left"))
        {
            moveLeft();  
        }
        if(Greenfoot.isKeyDown("right"))
        {
            moveRight();
        }
        if(Greenfoot.isKeyDown("down"))
        {
            moveDown();
        }
        if(Greenfoot.isKeyDown("up"))
        {
            moveUp();       
        }
        //**************************************************************
        if(touches (BananaAnimada.class))
        {
            Greenfoot.playSound("sounds/keycollect.aiff");
            count ++;
            levelUp ++;
            bonus ++;
            myLabel.setText(" " + count); 
            
            if( bonus == 10 ){
                getWorld().addObject(myLanche, (int)(Math.random() * 330) + 1,(int)(Math.random() * 460) + 22);
                bonus = 0;
              
            }else{
                myBanana.randomPosition(); 
            }
        }else{
            if(touches (LancheAnimado.class))
            {
             Greenfoot.playSound("sounds/done.wav");
             count += 8;
             levelUp ++;
         
             myLabel.setText(" " + count); 
            
             remove (LancheAnimado.class);
          
             myBanana.randomPosition();
             
            }else{
                    if(touches (Ferrari.class) || touches (Palio.class) || touches (Fusca.class) || touches (Aviao.class) || touches (Ambulancia.class))
        //Se o pinguim acertar um dos carros
        {   //Se j bateu em quatorze carros o jogo termina
            
            if(batidas == 14){
                //tocar msica indicando que perdeu uma vida
               
                batidas = 0;
                myLife.decrease();
                myLife.showVidas();
                
                
                if(myLife.getVidas() == 0)
                {
                    //tocar msica indicando que o jogo acabou
                    getWorld().addObject(gameOver, getWorld().getWidth()/2, getWorld().getHeight()/2);
                    
                    Greenfoot.stop();
                   
                }
                
                minhaEnergia.ganhaEnergia(14);
                
            }else{
                 
                 
                 minhaEnergia.perdeEnergia(1);
                 
                 batidas ++;
                 //chamar um mtodo que da a impresso de que o pinguim sentiu dor
            }
        
        }
            }
        }
        
        //********************************************************************
              
            if(levelUp == 65)
            {
                getWorld().addObject(new Ambulancia(), (int)(Math.random() * 280) + 4, 0);
                myBanana.randomPosition();
                levelUp ++;
            }
            
            if(levelUp == 105)
            {
                getWorld().addObject(new Aviao(), (int)(Math.random() * 280) + 4, 0);
                myBanana.randomPosition();
                levelUp ++;
            }
        //********************************************************************
        
        //*********************************************************************
        
        //******************************************
      
    } 
    
    //************************************************************************************************

}
